Source: haskell-reflection
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
Build-Depends-Indep: ghc-doc
Standards-Version: 4.1.4
Homepage: http://github.com/ekmett/reflection
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-reflection
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-reflection]

Package: libghc-reflection-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: reifies arbitrary terms into types that can be reflected back into terms${haskell:ShortBlurb}
 This package provides an implementation of the ideas presented in the
 paper "Functional Pearl: Implicit Configurations" by Oleg Kiselyov and
 Chung-chieh Shan. However, the API has been streamlined to improve
 performance.
 .
 ${haskell:Blurb}

Package: libghc-reflection-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: reifies arbitrary terms into types that can be reflected${haskell:ShortBlurb}
 This package provides an implementation of the ideas presented in the
 paper "Functional Pearl: Implicit Configurations" by Oleg Kiselyov and
 Chung-chieh Shan. However, the API has been streamlined to improve
 performance.
 .
 ${haskell:Blurb}

Package: libghc-reflection-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: reifies arbitrary terms into types that can be reflected${haskell:ShortBlurb}
 This package provides an implementation of the ideas presented in the
 paper "Functional Pearl: Implicit Configurations" by Oleg Kiselyov and
 Chung-chieh Shan. However, the API has been streamlined to improve
 performance.
 .
 ${haskell:Blurb}
